function [OUTPUT] = ASTRA_DP(seq, INPUT)

% --> check parallel pool
if INPUT.parallel == true
    try
        parpool
    catch
    end
end

% --> run ASTRA
if INPUT.opt == 1 % --> 1.SODP
    OUTPUT = ASTRA_SODP_v2(INPUT, seq);
elseif INPUT.opt == 2 % --> 2.MODP
    OUTPUT = ASTRA_MODP_v2(INPUT, seq);
end

end