function [legn, vvf, vinff, PF, COSTS, TOFYS, minCOST, row] = costFunction2_MODP(legn, vvf, vinff)

% --> compute the objectives of the optimization
COSTS = sum( [ legn(:,3:3:end-2) vinff ], 2);
TOFYS = (legn(:,end) - legn(:,2))./365.25;

% --> put them into the cost matrix
COSTmatrix = [ TOFYS COSTS ];

% --> compute the Pareto front
PF = paretoFront_MODP( COSTmatrix );

% --> save only those on Pareto front
rows  = PF(:,3); % --> legs on Pareto front
legn  = legn(rows,:);
vvf   = vvf(rows,:);
vinff = vinff(rows,:);

% --> find min. DV solution
[minCOST, row] = min(COSTS); % --> min. DV leg

end