function [legn, vvf, vinff] = costFunction1_DP_vdep(legn, vvf, vinff, vdep, sigma)

% --> this should be defined by user

vinfd  = legn(:,3);
dv1    = (vinfd - vdep).*(vinfd - vdep >= 0);
tofs   = (legn(:,end) - legn(:,2));

dvtot    = sum( [ dv1 legn(:,6:3:end-2) ] , 2);
costTOTn = dvtot + sigma.*tofs;

[~, row] = min(costTOTn);

legn  = legn(row,:);
vvf   = vvf(row,:);
vinff = vinff(row,:);

end