function [MAT, M1, M2] = generateMAT(pl1, pl2, T0, TOFS)

MAT = zeros(length(TOFS)*length(T0), 4);
ind  = 1;
for indt0 = 1:length(T0)
    for indtof = 1:length(TOFS)
        MAT(ind,:) = [ pl1 T0(indt0) pl2 [T0(indt0) + TOFS(indtof)] ];
        ind        = ind + 1;
    end
end

M1   = unique(MAT(:,1:2), 'rows', 'stable');
M2   = unique(MAT(:,3:4), 'rows', 'stable');

end