function [LEGSnext, VASnext, VINFnext] = prune_DEFECTtot_DP(LEGSnext, VASnext, VINFnext, defectTOTMax)

if ~isempty(LEGSnext)

    defectTOT = sum( LEGSnext(:,6:3:end-2) , 2);
    indxs     = find(defectTOT > defectTOTMax);

    LEGSnext(indxs,:) = [];
    VASnext(indxs,:)  = [];
    VINFnext(indxs,:) = [];

end

end