function [LEGSnext, VASnext, VINFnext] = prune_VINFn_DP(LEGSnext, VASnext, VINFnext, vinflim)

if ~isempty(LEGSnext)
    if ~isempty(vinflim)
        nplts   = length(LEGSnext(1,1:3:end-1));

        vinfMin = vinflim(nplts,1);
        vinfMax = vinflim(nplts,2);
        indxs   = find( VINFnext < vinfMin | VINFnext > vinfMax ) ;

        LEGSnext(indxs,:) = [];
        VASnext(indxs,:)  = [];
        VINFnext(indxs,:) = [];
    end
end

end