function [LEGSn, VASn, VINFn] = wrap_Pruning_DP_st1(LEGSn, VASn, VINFn, INPUT)

% --> pruning criteria for the first leg
[LEGSn, VASn, VINFn] = check_ISNAN_DP(LEGSn, VASn, VINFn);
[LEGSn, VASn, VINFn] = prune_VINFn_DP(LEGSn, VASn, VINFn, INPUT.vInfLim); % --> prune those exceeding the VINFn
[LEGSn, VASn, VINFn] = prune_TOFY_tot(LEGSn, VASn, VINFn, INPUT.tofyMax); % --> prune those exceeding the total TOFy

end