function [dtAMB] = time_AMB_path(path, rcMIN, rcMAX)

mu = 132724487690;

dtAMB = zeros(size(path,1)-1,1);
for indp = 2:size(path,1)
    
    rrin = path(indp,1:3);
    vvin = path(indp,4:6);
    tof  = path(indp,11);
    
    [rrd, vvd] = FGKepler_dt(car2kep([rrin vvin], mu), -tof*86400, mu);
    
    [dtAMB(indp,:)] = time_AMB(rrd, vvd, rcMIN, rcMAX, tof*86400);
    
end

dtAMB = sum(dtAMB);

end