function [dtAMB, LEGS, TOFs, REVS] = wrap_time_AMB(LEGS, REVS, param)

rcMIN = param.rcMIN;
rcMAX = param.rcMAX;

dtAMB = zeros(size(LEGS,1),1);
for indl = 1:size(LEGS,1)
    path = constructPath(LEGS(indl,:));
    dtAMB(indl,:) = time_AMB_path(path, rcMIN, rcMAX);
end

TOFs = LEGS(:,end-2) - LEGS(:,8);

% --> check if you exceeded the maxDur
indxs          = find(TOFs > param.maxDur);
LEGS(indxs,:)  = [];
REVS(indxs,:)  = [];
TOFs(indxs,:)  = [];
dtAMB(indxs,:) = [];

end
