function [COST, DVS, DTS] = seq2Cost_MOBS_back(LEGS)

% --> the cost is: DVs

vInfArrs = LEGS(:,end-1);

DVS      = LEGS(:,30:10:end);
EPOCHS   = LEGS(:,28:10:end-2);

TOFS  = diff(EPOCHS,1,2);

DVtot = sum([0.*vInfArrs DVS], 2);
DTS   = sum(TOFS,2);

COST      = [DTS DVtot];
COST(:,3) = [1:1:size(COST,1)]';

% --> sort first by TOF and then by DV
COST      = sortrows(COST, [1 2]);

end