/*
 * Academic License - for use in teaching, academic research, and meeting
 * course requirements at degree granting institutions only.  Not for
 * government, commercial, or other organizational use.
 *
 * wrapToPi.c
 *
 * Code generation for function 'wrapToPi'
 *
 */

/* Include files */
#include "wrapToPi.h"
#include "rt_nonfinite.h"
#include "mwmathutil.h"

/* Variable Definitions */
static emlrtRSInfo i_emlrtRSI = {
    16,                                                         /* lineNo */
    "wrapToPi",                                                 /* fcnName */
    "D:\\MATLAB\\R2021b\\toolbox\\shared\\maputils\\wrapToPi.m" /* pathName */
};

static emlrtECInfo emlrtECI = {
    -1,                                                         /* nDims */
    16,                                                         /* lineNo */
    1,                                                          /* colNo */
    "wrapToPi",                                                 /* fName */
    "D:\\MATLAB\\R2021b\\toolbox\\shared\\maputils\\wrapToPi.m" /* pName */
};

static emlrtECInfo b_emlrtECI = {
    2,                                                           /* nDims */
    17,                                                          /* lineNo */
    8,                                                           /* colNo */
    "wrapTo2Pi",                                                 /* fName */
    "D:\\MATLAB\\R2021b\\toolbox\\shared\\maputils\\wrapTo2Pi.m" /* pName */
};

static emlrtBCInfo emlrtBCI = {
    -1,                                                           /* iFirst */
    -1,                                                           /* iLast */
    17,                                                           /* lineNo */
    8,                                                            /* colNo */
    "",                                                           /* aName */
    "wrapTo2Pi",                                                  /* fName */
    "D:\\MATLAB\\R2021b\\toolbox\\shared\\maputils\\wrapTo2Pi.m", /* pName */
    0 /* checkKind */
};

/* Function Definitions */
void wrapToPi(const emlrtStack *sp, real_T *lambda)
{
  emlrtStack st;
  real_T q;
  real_T r;
  int32_T iv[2];
  int32_T iv1[2];
  int32_T b_trueCount;
  int32_T trueCount;
  int8_T tmp_size[2];
  boolean_T b;
  boolean_T b1;
  boolean_T rEQ0;
  st.prev = sp;
  st.tls = sp->tls;
  b = (*lambda < -3.1415926535897931);
  b1 = (3.1415926535897931 < *lambda);
  trueCount = 0;
  if (b || b1) {
    trueCount = 1;
  }
  st.site = &i_emlrtRSI;
  for (b_trueCount = 0; b_trueCount < trueCount; b_trueCount++) {
    r = *lambda + 3.1415926535897931;
  }
  if (0 <= trueCount - 1) {
    if (muDoubleScalarIsNaN(*lambda + 3.1415926535897931) ||
        muDoubleScalarIsInf(*lambda + 3.1415926535897931)) {
      r = rtNaN;
    } else if (*lambda + 3.1415926535897931 == 0.0) {
      r = 0.0;
    } else {
      r = muDoubleScalarRem(*lambda + 3.1415926535897931, 6.2831853071795862);
      rEQ0 = (r == 0.0);
      if (!rEQ0) {
        q = muDoubleScalarAbs((*lambda + 3.1415926535897931) /
                              6.2831853071795862);
        rEQ0 = !(muDoubleScalarAbs(q - muDoubleScalarFloor(q + 0.5)) >
                 2.2204460492503131E-16 * q);
      }
      if (rEQ0) {
        r = 0.0;
      } else if (*lambda + 3.1415926535897931 < 0.0) {
        r += 6.2831853071795862;
      }
    }
  }
  tmp_size[0] = 1;
  tmp_size[1] = (int8_T)trueCount;
  for (b_trueCount = 0; b_trueCount < trueCount; b_trueCount++) {
    rEQ0 = (r == 0.0);
  }
  iv[0] = 1;
  iv[1] = trueCount;
  iv1[0] = tmp_size[0];
  iv1[1] = tmp_size[1];
  emlrtSizeEqCheckNDR2012b(&iv1[0], &iv[0], &b_emlrtECI, &st);
  if ((0 <= trueCount - 1) && (rEQ0 && (*lambda + 3.1415926535897931 > 0.0))) {
    if (1 > trueCount) {
      emlrtDynamicBoundsCheckR2012b(1, 1, trueCount, &emlrtBCI, &st);
    }
    r = 6.2831853071795862;
  }
  b_trueCount = 0;
  if (b || b1) {
    b_trueCount = 1;
  }
  if (b_trueCount != trueCount) {
    emlrtSubAssignSizeCheck1dR2017a(b_trueCount, trueCount, &emlrtECI,
                                    (emlrtCTX)sp);
  }
  if (b || b1) {
    *lambda = r - 3.1415926535897931;
  }
}

/* End of code generation (wrapToPi.c) */
