function [optionsGA, optionsGAMO] = optGA

% options for MATLAB Genetic Algorithm (GA) optimization of MGA transfers

optionsGA                        = optimoptions('ga','PlotFcn','gaplotscores');
optionsGA.PopulationSize         = 3500;
optionsGA.FunctionTolerance      = 0;
optionsGA.MaxGenerations         = 300000;
optionsGA.UseParallel            = true;
optionsGA.CrossoverFraction      = 0.8;

optionsGAMO                      = optimoptions(@gamultiobj,'PlotFcn',@gaplotpareto);
optionsGAMO.PopulationSize       = 3500;
optionsGAMO.FunctionTolerance    = 0;
optionsGAMO.MaxGenerations       = 300000;
optionsGAMO.UseParallel          = true;
optionsGAMO.CrossoverFraction    = 0.8;

end