function [LEGS] = process1_RESTOUR(OUTPUT)

% --> reconstruct the matrix
LEGS = cell2mat({OUTPUT.LEGS}');
REVS = cell2mat({OUTPUT.chosenRevs}');

newLEGS = zeros( size(LEGS,1), size(OUTPUT(1).minPATH,1)*10 );
parfor row = 1:size(LEGS,1)
    
    row/size(LEGS,1)*100
    
    runOpts = generateDiffRuns(REVS(row,:), OUTPUT(1).res);
    minPATH = LEGS(row,:);
    minPATH = ASTRA_wrapPath_DP(minPATH(1:3:end-1), minPATH(2), diff(minPATH(2:3:end)), runOpts);
    minPATH = minPATH( 1:end,1:10 );
    
    newLEGS(row,:) = reshape(minPATH.',1,[]);
    
end

LEGS = newLEGS;

end