function [legn, vvf, vinff] = costFunction1_MODP(legn, vvf, vinff)

% --> this should be defined by user

% --> compute the two objectives
costTOTn = sum( legn(:,3:3:end-2) , 2); 
TOFyn    = (legn(:,end) - legn(:,2))./365.25;

% --> put them into the cost matrix
COSTmatrix = [ TOFyn costTOTn ];

% --> compute the Pareto front
[PARETO_FRONT] = paretoFront_MODP( COSTmatrix );

% --> save only those on Pareto front
rows  = PARETO_FRONT(:,end);
legn  = legn(rows,:);
vvf   = vvf(rows,:);
vinff = vinff(rows,:);

end
