function [nDEF] = numberOfDefects(LEGSnext, TOFS)

% --> unique nodes at LEGSnext * length(TOFS)
lastnodes      = LEGSnext(:, end-4:end);
lastnodes(:,3) = [];
lastnodes      = unique(lastnodes, 'rows', 'stable');
nLN            = size(lastnodes,1);
nTOF           = length(TOFS);
nDEF           = nLN * nTOF;

end