function [revopt] = rev2RevOpt(rev, res, indleg)

rev = num2str(rev);
if str2double(rev(1)) == 0
    revopt = [0 0];
else
    if length(rev) == 2
        revopt = [ str2double(rev(1)) str2double(rev(2))];
    elseif length(rev) == 3
        revopt = [ str2double(rev(1:2)) str2double(rev(3))];
    end
end
revopt = [ revopt zeros(1,2) ];

if ~isempty(res)
    res        = reshape(res', [3,size(res,2)/3])';
    indlegres  = res(:,end);
    indxs      = find( indlegres == indleg );
    if ~isempty(indxs)
        revopt(3:4) = res(indxs,1:2);
    end
end

end

