function [maxLength, planets, indmax] = computeMaxLength(LEGSnext, planetsList, planetT)

indmax = zeros(1, size(LEGSnext,1));

maxLength = 0;
for indi = 1:size(LEGSnext,1)
    
    vvIN = LEGSnext(indi,end-6:end-4);
    plIN = LEGSnext(indi,end-3);
    tIN  = LEGSnext(indi,end-2);
    PLTS = generateTargetPlanets(vvIN, plIN, tIN, planetsList);
    
    indplt = find(PLTS == planetT);
    
    if ~isempty(indplt)
        indmax(indi) = indi;
    end
    
    if length(PLTS) >= maxLength
        maxLength    = length(PLTS);
        planets      = PLTS;
    end
    
end

indmax(indmax == 0) = [];

end