function [LEGS] = applyBeamWidth_SOMO(LEGS, bw, SOMO)

if nargin < 3 || isempty(SOMO) || SOMO == 0
    SOMO = 1;
end

if SOMO == 1 % --> then use Single Objective
    LEGS = applyBeamWidth_currentDV(LEGS, bw);     % --> SO-TS
else % --> then use Multi Objective
    LEGS = applyBeamWidth_currentDV_MO(LEGS, bw);  % --> MO-TS
end

end