function [LEGS] = applyBeamWidth_currentDV_MO(LEGS, bw)

if bw < size(LEGS,1)
    
    lgs          = LEGS;
    n            = 0;
    legs_to_save = zeros(size(lgs,1),size(lgs,2));
    ind          = 1;
    
    while n < bw && ~isempty(lgs)
        
        pf                                    = generateParetoFront_MOBS(lgs);
        legs_to_save(ind:ind-1+size(pf,1),:)  = lgs(pf(:,end),:);
        ind = ind + size(pf,1);        
        n   = n + size(pf,1);

        lgs(pf(:,end),:) = []; 

    end
    legs_to_save = legs_to_save(~all(legs_to_save == 0, 2),:);
    LEGS         = legs_to_save;

end

end