function clearFiles

% clear previous files in the path
try
    currentFolder = pwd;
    which_dir            = [currentFolder '\file'];
    dinfo                = dir(which_dir);
    dinfo([dinfo.isdir]) = [];   % skip directories
    filenames            = fullfile(which_dir, {dinfo.name});
    delete(filenames{:});
catch
end


end