function folder = saveOUTPUT(INPUT, OUTPUT, t0, run)

% --> save the OUTPUT
if isfield(INPUT, 'folder') && ~isempty(INPUT.folder) % --> the user specifies the folder
   
    if exist(INPUT.folder(2:end),'dir') == 7 % --> then the folder exists on the current path
        name = [INPUT.folder '\OUTPUT_tdep_' num2str(t0) '_revsOpts_' num2str(run) '.mat'];
    else % --> then the folder does not exist on the current path
        mkdir(INPUT.folder(2:end)); % --> create the folder in the current path
        name = [INPUT.folder '\OUTPUT_tdep_' num2str(t0) '_revsOpts_' num2str(run) '.mat'];
    end
    folder = INPUT.folder;
else % --> the user does not specify the folder
    
    if exist('results', 'dir') == 7 % --> then the folder '\results' exists on the current path
        name = ['\results\OUTPUT_tdep_'  num2str(t0) '_revsOpts_' num2str(run) '.mat'];
    else % --> then the folder '\results' does not exist on the current path
        mkdir('results');
        name = ['\results\OUTPUT_tdep_'  num2str(t0) '_revsOpts_' num2str(run) '.mat'];
    end
    folder = '\results';
end
name = [pwd name];
save(name, 'OUTPUT');

end