function [RevMax, RevRed_OnlyZero, RevRed_FirstLast, RevRed_LastLeg, RevRed_FirstLeg] = ...
    differentRuns_v2(seq, maxrev)

% number of legs
nlegs = length(seq) - 1;
if maxrev == 0
    vec = 0;
elseif maxrev >= 1
    vec = sort([ 0 [11:10:(maxrev*10+1)] [10:10:maxrev*10] ]);
end

% all combinations of revolutions
RevMax = permn(vec, nlegs);

% eliminate first/last leg
indxsLast       = find(RevMax(:,end)==0);
RevRed_LastLeg  = RevMax(indxsLast,:);
indxsFirst      = find(RevMax(:,1)==0);
RevRed_FirstLeg = RevMax(indxsFirst,:);

indxsFirstLast   = find(RevRed_LastLeg(:,1)==0);
RevRed_FirstLast = RevRed_LastLeg(indxsFirstLast,:);

RevRed_OnlyZero  = RevMax(1,:);

end