function [M] = excludeInTheMiddle(M, pl)

plarr = pl;

% --> exclude those legs with plarr in the middle of the sequence
IDXS = zeros(size(M,1),1);
ind  = 1;
for indleg = 2:size(M,2)-1
    pl_leg          = M(:,indleg);
    indxs_to_delete = find(pl_leg == plarr);
    if ~isempty(indxs_to_delete)
        IDXS(ind:ind-1+length(indxs_to_delete),:) = indxs_to_delete;
        ind = ind + length(indxs_to_delete);
    end
end
IDXS = IDXS(~all(IDXS == 0, 2),:);   % --> eliminate rows all equal to zero
IDXS = unique(IDXS);
M(IDXS,:) = [];

end