function [REVS] = generateDiffRuns(revVec, res)

res     = reshape(res, 3, [])';
legsres = res(:,end);

revVec  = revVec';

lastcol = 1;
for indj = 1:size(revVec,2)
   
    for indi = 1:size(revVec,1)
       
        rev = revVec(indi, indj);
        
        if rev == 0
            revopt = [0 0];
        elseif rev == 10
            revopt = [1 0];
        elseif rev == 11
            revopt = [1 1];
        elseif rev == 20
            revopt = [2 0];
        elseif rev == 21
            revopt = [2 1];
        elseif rev == 30
            revopt = [3 0];
        elseif rev == 31
            revopt = [3 1];
        end
        
        REVS(indi,lastcol:lastcol+1) = revopt;

    end
    lastcol = size(REVS,2)+1;
end

REVS = [REVS zeros(size(REVS,1),2)];
if nargin > 1
    REVS(legsres,end-1:end) = res(:,1:2);
end

end